package com.huimv.admin.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.admin.system.entity.SysAccountMultilevel;
import com.huimv.admin.system.entity.dto.SysAccountMultilevelDto;
import com.huimv.common.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
public interface ISysAccountMultilevelService extends IService<SysAccountMultilevel> {

    Result findUserAccount(String searchStr, int pageNum, int pageSize, Integer userId);

    Result add(SysAccountMultilevel sysAccountMultilevel, Integer userId);

    Result setAccountStatus(List<Integer> ids, Integer status);

    List<Integer> getAllChildId(Integer userId);

    Result listSubordinate(String searchStr, int pageNum, int pageSize, Integer userId);

    Result getLastFarmId(Integer userId);

    Result addApp(SysAccountMultilevelDto sysAccountMultilevel, Integer userId);

    void updateApp(SysAccountMultilevelDto sysAccountMultilevel);
}
