package com.huimv.produce.produce.controller;

import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.produce.produce.service.IImportantDynamicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@RestController
@RequestMapping(value = "/importantDynamic")
public class ImportantDynamicController {
    @Autowired
    private IImportantDynamicService importantDynamicService;

    @RequestMapping(value = "/getDynamicData",method = RequestMethod.GET)
    public Result getDynamicData(@RequestParam(value = "farmId",required = true) Integer farmId){
        //
        return importantDynamicService.getImportantDynamicForIndex(farmId);
    }
}
