package com.huimv.eartag.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 谱系管理
 * </p>
 *
 * @author author
 * @since 2022-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("feed_ancestry")
public class FeedAncestry implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 家禽编号
     */
    private String fowlCode;

    /**
     * 性别
     */
    private Integer fowlGender;

    /**
     * 品种
     */
    private String fowlType;

    /**
     * 父系编号
     */
    private String fatherCode;

    /**
     * 母系编号
     */
    private byte[] motherCode;


}
