package com.huimv.produce.produce.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class ProdSales extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer farmId;

    private String farmName;

    private String todayQuantity;

    private String todayWeight;

    private String todayMoney;

    private String weekQuantity;

    private String weekWeight;

    private String weekMoney;

    private String monthQuantity;

    private String monthWeight;

    private String monthMoney;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date addDate;


}
