package com.huimv.video.video.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author astupidcoder
 * @since 2021-09-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("sys_camera")
public class Camera extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 摄像头名字
     */
    private String cameraName;

    /**
     * 账号
     */
    private String account;

    /**
     * 密码
     */
    private String password;

    /**
     * 区域名字
     */
    private String areaName;

    /**
     * 区域id
     */
    private Integer areaId;

    /**
     * 摄像头ip
     */
    private String cameraIp;

    /**
     * 0未关注，1关注
     */
    private Integer attention;

    /**
     * 品牌名字
     */
    private String brandName;

    /**
     * 品牌id
     */
    private Integer brandId;

    /**
     * 0正常   1停用
     */
    private Boolean runStatus;

    /**
     * 排序
     */
    private Integer sort;


    private Integer farmId;


    private Integer roomId;
    //icc通道
    private String iccChannel;
    private Integer functionId;


}
